/* Header Styles */
body {
    font-family: "Roboto", sans-serif;
}

.nav {
    display: flex;
    justify-content: end;
    align-items: center;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
}

.nav-links {
    display: flex;
    gap: 30px;
    position: relative;
    padding-right: 54px;
}

.nav-links::before {
    content: '';
    position: absolute;
    bottom: 0px;
    /* left: 0; */
    width: 2px;
    height: 20px;
    background-color: #868686;
    /* transform: scaleX(0); */
    transition: transform 0.3s ease;
    right: 24px;
}

.nav-link {
    color: #000000;
    font-size: 16px;
    font-weight: 600;
}

.nav-link.active {
    color: #007DFD;
}

.live-service {
    display: flex;
    align-items: center;
    gap: 15px;
    font-size: 12px;
}

.service-text {
    color: #000000;
    font-weight: 500;
    font-size: 12px;
}

.phone-info {
    background: #2196f3;
    color: white;
    padding: 8px 15px;
    border-radius: 50px;
    display: flex;
    align-items: center;
    gap: 8px;
    cursor: pointer;
    font-size: 14px;
    font-weight: 600;
}

.phone-info i.fa-phone {
    font-size: 14px;
    background-color: #ffffff;
    color: #2196f3;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.country {
    /* background: rgba(255,255,255,0.2); */
    padding: 4px 8px;
    border-radius: 10px;
    font-size: 10px;
    display: flex;
    align-items: center;
    gap: 5px;
}

.country i {
    font-size: 10px;
}

/* Search Section */
.search-section {
    background: #0C1019;
    color: white;
    padding: 30px 0;
}





.dropdown {
    margin-left: 5px;
}

.search-form {
    display: flex;
    align-items: end;
    gap: 10px;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
}

.form-group {
    display: flex;
    flex-direction: column;
    gap: 5px;
    flex: 1;
    position: relative;
}

.calender_wrap {
    display: flex;
    align-items: center;
}

.search-form .form-group label {
    font-size: 12px;
    color: RGBA(255, 255, 255, .75);
    position: absolute;
    top: 9px;
    z-index: 99;
    left: 15px;
    white-space: nowrap;
}

.form-group input,
.date-input,
.passenger-input {

    white-space: nowrap;
}

.input-wrapper {
    position: relative;
    display: flex;
    align-items: center;
}

.calender_wrap {
    display: flex;
    align-items: center;
    /* background-color: #242E45; */
    border-radius: 0px;
    overflow: hidden;
    height: 64px;
    width: 30%;
    gap: 10px;
}


.icon-calendar::before {
    content: "\f073";
    font-family: "Font Awesome 6 Free";
    font-weight: 400;
    color: #ffffff;
}

.icon-calendar-plus::before {
    content: "\f073";
    font-family: "Font Awesome 6 Free";
    font-weight: 400;
    color: #ffffff;
}

.icon-user::before {
    content: "\f007";
    font-family: "Font Awesome 6 Free";
    font-weight: 400;
    color: #ffffff;
}

.adult label {
    font-size: 12px !important;
    color: #9196A2 !important;
}

.swap_wrapper {
    display: flex;
    position: relative;
    width: 42%;
    gap: 10px;
}

span.line {
    width: 30px inherit;
    display: block;
    width: 20px;
    height: 1.81px;
    background-color: #fff;
    /* padding: 10px 25px; */
    margin: 0 19px;
}

.form-group.adult {
    height: 64px;

    overflow: hidden;
    background-color: #242e45;
}


.icon-exchange {
    width: 16px;
    height: 16px;
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="white"><path d="M6.99 11L3 15l3.99 4v-3H14v-2H6.99v-3zM21 9l-3.99-4v3H10v2h7.01v3L21 9z"/></svg>');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.airport-code {
    background: #2196f3;
    color: white;
    padding: 2px 6px;
    border-radius: 3px;
    font-size: 10px;
}

.form-group input,
.passenger-input {
    background: #242E45;
    border: none;
    padding: 12px 12px 12px 8px;

    font-size: 14px;
    color: #ffffff;
    width: 100%;
    padding-top: 25px;
    height: 64px;
    position: relative;
    top: 4px;
}

.calender_wrap .date-input {

    border: none;
    padding: 12px 12px 12px 8px;

    font-size: 14px;
    color: #ffffff;
    width: 100%;
    padding-top: 25px;
    height: 64px;
    position: relative;
    top: 4px;
}

.calender_wrap .form-group {
    background: #242E45;
}

.form-group input::placeholder,
.date-input::placeholder,
.passenger-input::placeholder {
    color: #FAFAFA;
    transition: opacity 0.2s ease;
    font-size: 14px;
}

.input-wrapper input {
    padding-left: 75px;
}

.input-wrapper .date-input,
.input-wrapper .passenger-input {
    padding-left: 15px;
}

.city-input {
    background: #242E45;
    border-radius: 4px;
    padding: -1px;
    display: flex;
    align-items: center;
    gap: 12px;
    cursor: text;
    position: relative;
    height: 64px;
    border-radius: 0px;
    overflow: hidden;

}

.swap_wrapper .form-group:nth-child(1) .city-input {

    border-top-left-radius: 8px;
    border-bottom-left-radius: 8px;
}

.city-input:focus-within {
    border: 1px solid #2196f3;
    box-shadow: 0 0 0 2px rgba(33, 150, 243, 0.1);
}

.city-content {
    flex: 1;
    position: relative;
    margin-left: 12px;
}

.city-label {
    font-size: 12px;
    color: rgba(250, 250, 250, .75);
    display: flex;
    align-items: center;
    gap: 8px;
    position: absolute;
    left: 10px;
    padding-top: -11px;
    top: 9px;
    z-index: 999;
}

.city-label .airport-code {
    position: static;
    background: #2196f3;
    color: white;
    padding: 2px 6px;
    border-radius: 3px;
    font-size: 10px;
}

.city-input-field {
    border: none;
    outline: none;
    background: transparent;
    font-size: 14px;
    color: #333;
    font-weight: 500;
    width: 100%;
    padding: 0;
}

.city-input-field::placeholder {
    color: #999;
    transition: opacity 0.2s ease;
}

.city-input-field:focus::placeholder {
    opacity: 0;
}

.swap-btn {
    background: #171F30;
    color: white;
    width: 33px;
    height: 33px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 5px;
    cursor: pointer;
    position: absolute;
    left: 47%;
    z-index: 99;
    top: 13px;
    border: 4px solid #242E45;
}

.swap-btn:hover {
    background: rgba(255, 255, 255, 0.2);
}

.swap_wrapper .form-group:nth-child(3) {
    margin-left: 10px;
}

.search-btn {
    background: #007DFD;
    color: white;
    padding: 12px 30px;
    border-radius: 4px;
    font-size: 20px;
    font-weight: 500;
    height: 64px;
    BORDER-RADIUS: 10PX;
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
    font-family: 'Roboto';
    text-transform: uppercase;
}

.search-btn i {
    font-size: 15px;
}

/* Main Content */
.main {
    min-height: 100vh;
}

.content-wrapper {
    display: flex;
    max-width: 1200px;
    margin: 0 auto;
    gap: 20px;
    padding: 20px;
}

/* Sidebar */
.sidebar {
    width: 300px;

    border-radius: 8px;
    padding: 20px;
    height: fit-content;
    padding-top: 0px;
}

.filter-option.active {

    background-color: rgba(23, 30, 48, 0.03);
    border-radius: 4px;
    padding: 5px 0px;
}

.filter-section h3 {
    font-size: 16px;
    margin-bottom: 0px;
    color: #000000;
    font-weight: 600;
}

.results-count {
    color: #5E5E5E;
    font-size: 10px;
    margin-bottom: 10px;
    font-weight: 400;
}

.filter-group {
    margin-bottom: 25px;
}

.filter-option label {
    color: #000000;
    font-size: 14px;
    font-weight: 400;
}

.filter-option .price {
    color: #000000;
    font-size: 12px;
    font-weight: 500;
}

.filter-group h4 {
    font-size: 16px;
    margin-bottom: 10px;
    font-weight: 600;
    color: #000000;
}

.filter-group.price-filter h4 {
    margin-bottom: 0px;
}

.filter-option,
.airline-option {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 8px 0;

}

.filter-option input[type="checkbox"],
.airline-option input[type="checkbox"] {
    appearance: none;
    width: 17px;
    height: 17px;
    background: transparent;
    border: 0.5px solid #000000;
    border-radius: 3px;
    cursor: pointer;
    position: relative;
    padding: unset;
}

.filter-option input[type="checkbox"]:checked,
.airline-option input[type="checkbox"]:checked {
    background: #0C1019;
    border-color: #0C1019;
}

.filter-group.stops-filter {
    border-top: .93px solid #D8D8D8;
    border-bottom: .93px solid #D8D8D8;
    padding: 20px 0px;
}

.filter-option input[type="checkbox"]:checked::after,
.airline-option input[type="checkbox"]:checked::after {
    content: '✓';
    position: absolute;
    color: white;
    font-size: 12px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.filter_wrap {
    display: flex;
    align-items: center;
    gap: 8px;
}

.filter-option label,
.airline-option label {
    font-size: 12px;
    cursor: pointer;
    color: #000000;
    font-weight: 400;
}

.price {
    font-size: 16px;
    color: #171F30;
    font-weight: bold;
}

.price-filter {
    border-bottom: .93px solid #D8D8D8;
    padding: 20px 0px;
    padding-top: 0px;
    margin-bottom: 0px;
}

.price-range-container {
    padding: 10px 0;
}

.filter-group.departure-filter {
    margin-bottom: 0px;
}

.price-slider {
    position: relative;
    height: 40px;
    display: flex;
    align-items: center;
}

.slider-track {
    position: absolute;
    width: 100%;
    height: 2px;
    background: #007DFD;
    border-radius: 5px;
    top: 50%;
    transform: translateY(-50%);
}

.slider-min,
.slider-max {
    position: absolute;
    width: 100%;
    height: 4px;
    background: none;
    pointer-events: none;
    -webkit-appearance: none;
    appearance: none;
    top: 50%;
    transform: translateY(-50%);
}

.slider-min::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 17px;
    height: 17px;
    background: white;
    border: 1px solid #007DFD;
    border-radius: 50%;
    cursor: pointer;
    pointer-events: all;
}

.slider-max::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 17px;
    height: 17px;
    background: white;
    border: 1px solid #007DFD;
    border-radius: 50%;
    cursor: pointer;
    pointer-events: all;
}

.slider-min::-moz-range-thumb {
    width: 17px;
    height: 17px;
    background: white;
    border: 1px solid #007DFD;
    border-radius: 50%;
    cursor: pointer;
    pointer-events: all;
}

.airlines-filter {
    border-bottom: .93px solid #D8D8D8;
    padding-bottom: 15px;

}

.slider-max::-moz-range-thumb {
    width: 17px;
    height: 17px;
    background: white;
    border: 1px solid #007DFD;
    border-radius: 50%;
    cursor: pointer;
    pointer-events: all;
}

.price-labels {
    display: flex;
    justify-content: space-between;
    font-size: 8px;
    color: #000000;
    font-weight: 400;
    margin-top: -7px;
}

.airline-actions {
    display: flex;
    gap: 10px;
    margin-bottom: 15px;
    font-size: 12px;
}

.select-all {
    color: #007DFD;
    font-size: 14px;
    font-weight: 500;
}

.clear-all {
    color: rgba(0, 0, 0, 0.48);
    font-size: 14px;
    font-weight: 500;
}

.show-more {
    background: transparent;
    color: rgba(45, 45, 46, 1);
    font-size: 14px;
    font-weight: 500;
    text-decoration: underline;
}

/* Results Section */
.results-section {
    flex: 1;
}

.airline-logos {
    display: flex;
    gap: 15px;

    background: white;
    border-radius: 10px;
    width: 100%;
    display: inline-table;
}



.price-tabs {
    display: flex;
    background: white;
    border-radius: 8px;
    margin-bottom: 20px;
    overflow: hidden;
}

.airline-logos td {
    font-size: 12px;
    text-align: center;
    padding: 10px;
    border-bottom: 0.65px solid #EFF1F3;
    text-align: center;
}

.airline-logos tr td:nth-child(1) {

    BORDER-RIGHT: 0.65px solid #EFF1F3;
}

.airline-logos tr:last-child td {

    border-bottom: none;
}

.lowest-fares-section {
    background: #E2E8EF;
    border-radius: 10px;
    padding: 5px 22px;
    margin: 20px 0;
    text-align: center;
}

button.call_btn {
    color: #007DFD;
    font-size: 16px;
    background-color: transparent;
    display: flex;
    align-items: center;
    margin-left: 10px;
}

.profile_img {
    display: flex;
    align-items: center;
}

.call_btn img {
    margin-right: 9px;
}

.book_btn i {
    color: #848484;
    margin-left: 24px;
}

.profile_call {
    display: flex;
    align-items: center;
}

.profile_call button {
    background-color: transparent;
}

.lowest-fares-section h3 {
    font-size: 14px;
    margin-bottom: 0px;
    color: #171E30;
}

.lowest-fares-section p {
    font-size: 12px;
    color: #171E30;
}

.profile_text {
    text-align: left;
    margin-left: 20px;
}

.img_wrapper {
    display: flex;
    align-items: center;
}

.lowest-fares-section {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.info_div p {
    color: #848484;
    font-size: 12px;
    margin: 15px 0px;
}

.price-tabs .tab {
    flex: 1;
    padding: 9px 8px;
    /* text-align: center; */
    cursor: pointer;
    border-right: .65px solid #DBDEDF;
    padding-left: 23px;
    position: relative;
}

.tab:last-child {
    border-right: none;
}

.airline-logo img {
    max-width: 42px;
}

.tab.active::before {
    /* background: #f8f9fa; */
    content: "";
    width: 90%;
    background-color: #1570EF;
    height: 2.8px;
    position: absolute;
    bottom: 0;
    right: 0px;
}

.tab-label {
    display: block;
    font-size: 12px;
    color: #666;
    margin-bottom: 5px;
}

.tab-price {
    font-size: 14px;
    font-weight: 600;
}

/* Flight Cards */
.flight-results {
    display: flex;
    gap: 15px;
    flex-wrap: wrap;
    justify-content: space-between;
}

.flight-card {
    background: white;
    border-radius: 8px;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    padding: 20px;
}

.price-section {
    display: flex;
    justify-content: space-between;
    /* padding: 14px 25px; */
    border-top: 1px solid #E0E0E0;
    padding-top: 10px;
    margin-top: 10px;
}

.flight_wrapper {
    width: 70%;
}

.flight-info {
    display: flex;
    align-items: center;
    gap: 2px;
    flex: 1;
    justify-content: space-between;
    width: 100%;

    border-radius: 8px;
}

.airline-section {
    display: flex;
    align-items: center;
    min-width: 60px;
    width: 20%;
}

.airline-logo img {
    width: 42px;
    height: auto;
    object-fit: contain;
}

.showcard_detail .airline-logo {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    /* width: 25%; */
    width: 100%;
}

.showcard_detail .flight-details-section {
    /* flex: 1; */
    display: flex;
    flex-direction: column;
    gap: 15px;
    width: 60% !important;
}

.logo_detail {
    padding-left: 13px;
}

.flight-details-section {
    /* flex: 1; */
    display: flex;
    flex-direction: column;
    gap: 15px;
    width: 73%;
}

.showcard_detail .day {
    width: max-content;
    font-size: 8px;
}

.showcard_detail .airport {
    width: max-content;
    font-size: 8px !important;
}

.showcard_detail .departure {
    text-align: justify;
    min-width: 80px;
}

.showcard_detail .arrival {
    text-align: start;
    min-width: 80px;
}

.flight-times {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}

.departure,
.arrival {
    text-align: center;
    min-width: 80px;
}

.departure .time,
.arrival .time {
    font-size: 16px;
    font-weight: 600;
    color: #171F30;
    margin-bottom: 0px;
}

.departure .airport,
.arrival .airport {
    font-size: 11px;
    color: rgba(0, 0, 0, 0.6);
    font-weight: 500;
}

.flight-path {
    text-align: center;
    position: relative;
    min-width: 105px;
    width: 100%;

}

.flight-type {
    font-size: 12px;
    color: #171F30;
    margin-bottom: 8px;
    font-weight: 500;
}

.duration {
    font-size: 12px;
    color: #171F30;
    font-weight: 500;
}

.flight-path::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    height: 2px;
    background-color: #171E30;
    ;
    transform: translateY(-50%);
    z-index: 1;
    width: 100%;
    border-radius: 8px;
}

.showcard_detail .flight-path::before {
    display: none;
}

.showcard_detail .flight-path {
    height: 2px;
    background-color: #DCDEE0;
    transform: translateY(-50%);
    z-index: 1;
    width: 38%;
    border-radius: 8px;
    position: relative;
}

.flight-actions {
    display: flex;
    justify-content: flex-start;
}

.flight-path img {
    width: 16px;
}

img.pl1 {
    position: absolute;
    left: 0px;
    /* top: -77%; */
    bottom: 0px;
}

img.pl2 {
    position: absolute;
    right: 0px;
    /* top: -77%; */
    bottom: 0px;
}

.flighttime_wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 38%;
}

.airline-logo {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.logo_day h6 {
    font-size: 10px;
    color: #000000;
    font-weight: 500;
}

.logo_time p {
    font-size: 8px;
    color: #000000;
}

.logo_airport p {
    font-size: 8px;
    color: #000000;
}

.flight-times {
    text-align: center;
}

.time {
    font-size: 15px;
    font-weight: 500;
    margin-bottom: 2px;
    color: #171F30;
    line-height: 100%;
}

.route {
    font-size: 10px;
    color: rgba(0, 0, 0, 0.6);
    text-align: justify;
}

.flight-duration {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
}

.duration-line {
    width: 60px;
    height: 2px;
    background: #ddd;
    position: relative;
}

.airline-logos img {
    width: 58px;
    height: 40px;
    OBJECT-FIT: contain;
}

.duration-line::before {
    content: '';
    position: absolute;
    right: 27px;
    top: -2px;
    width: 6px;
    height: 6px;
    background: #ddd;
    border-radius: 50%;
}



.duration {
    font-size: 10px;
    color: rgba(0, 0, 0, 0.6);
    font-weight: 400;
}


.duration i {
    margin-right: 5px;
    color: #171F30;
}

.fare-type {
    color: #0C8B45;
    font-size: 12px;
    font-weight: 400;
}

.flight_wrapper {
    position: relative;
}




.select-btn {
    background: #1570EF;
    color: white;
    padding: 10px 62px;
    border-radius: 4px;
    font-size: 15px;
    font-weight: 500;
}


.view-details-btn {
    background: #F0F3F5;
    color: #000000;
    border: none;
    padding: 10px 20px;
    font-size: 10px;
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 8px;
    font-weight: 500;

    border-radius: 5px;
}

.view-details-btn i {
    font-size: 12px;
}

.flight-details {
    padding: 15px 20px;
    background: #f8f9fa;
    border-top: 1px solid #e0e0e0;
}

.flight-details p {
    margin: 0;
    color: #666;
    font-size: 14px;
}

/* Hide mobile controls on desktop */
.mobile-controls {
    display: none;
}

/* Hide mobile menu toggle on desktop */
.mobile-menu-toggle {
    display: none;
}

/* Hide sidebar close button on desktop */
.sidebar-close {
    display: none;
}

/* Hide time dropdown on desktop */
.time-dropdown {
    display: none;
}


.flight-radio {
    appearance: none;
    width: 20px;
    height: 20px;

    border-radius: 50%;
    cursor: pointer;
    position: relative;
}

.flight-radio:checked {
    background: #112F4E;
}



.showcard_detail .flight_choice {

    width: 20%;
}

.flight_choice {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 15px;
    padding-right: 0px;
}

.special-fares {
    max-width: 1200px;
    margin: 20px auto 0;
    padding: 0 20px;
    display: flex;
    align-items: center;
    gap: 15px;
}

.special-fares-label {
    color: white;
    font-size: 14px;
    font-weight: 400;
}

.fare-options {
    display: flex;
    gap: 10px;
}

.fare-btn {
    background: #ffffff;
    color: #000000;
    border: none;
    padding: 8px 16px;
    border-radius: 20px;
    font-size: 14px;
    font-weight: 400;
    cursor: pointer;
    transition: all 0.3s ease;
    box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0.2);
}

.fare-btn:hover {
    background: #f0f0f0;
}

.departure-filter {
    padding: 20px 0px;
    padding-bottom: 0px;
}

.time-slots {
    display: flex;
    gap: 10px;
}

.filter-group.departure-filter.arival {
    border-bottom: 1px solid #D8D8D8;
    padding-bottom: 30px;
    margin-bottom: 26px;
}

.time-slot {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 15px 10px;
    box-shadow: inset 0 0 0 0.5px rgba(180, 173, 173, 0.3);
    border-radius: 8px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.departure-filter h4 {
    margin-bottom: 13px;
}

.time-slot:hover {
    border-color: #007DFD;
    background: rgba(0, 125, 253, 0.05);
}

.time-slot.active {
    border: 1px solid #007DFD;
    background-color: rgba(0, 125, 253, 5%);
}

.time-slot.active i {
    color: #007DFD;
}

.flightwrapper {
    background: white;
    border-radius: 8px;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    width: 49%;

}

.time-slot i {
    font-size: 20px;
    color: #6C6C6C;
    margin-bottom: 8px;
}

.time-slot span {
    font-size: 6px;
    color: #333;
    text-align: center;
    font-weight: 400;
    flex-wrap: nowrap;
    display: flex;
}

@keyframes slideDown {
    from {
        opacity: 0;
        max-height: 0;
        transform: translateY(-10px);
    }

    to {
        opacity: 1;
        max-height: 200px;
        transform: translateY(0);
    }
}

@keyframes slideUp {
    from {
        opacity: 1;
        max-height: 200px;
        transform: translateY(0);
    }

    to {
        opacity: 0;
        max-height: 0;
        transform: translateY(-10px);
    }
}

.showcard_detail {
    padding: 15px 20px;
    background: #F9FAFB;
    border: 1px solid #e0e0e0;
    overflow: hidden;
    position: absolute;
    top: 100%;
    left: 0px;
    right: 0px;
    z-index: 9;
    border-radius: 10px;
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
}

.flight_choice p {
    color: #000000;
    font-size: 12px;
}

.card_break {
    background-color: #F0F3F5;
    width: 86%;
    height: 25px;
    margin: 0 auto;
    border-radius: 4px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.flighttrip_depart {
    border-bottom: 1px solid #DBDEDF;
    background-color: #fff;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    position: relative;
}

.departure-time {
    position: absolute;
}

.showcard_detail .return_time {
    padding: 5px 0px;
    position: relative;
    font-size: 12px;
    left: 15px;
    padding-bottom: 13px;
    color: #000000;
    font-weight: 500;
    position: absolute;
    bottom: -4px;
}

.departure-time {
    padding: 5px 0px;
    position: relative;
    font-size: 12px;
    left: 15px;
    padding-top: 13px;
    color: #000000;
    font-weight: 500;
}

.return_time {
    padding: 5px 0px;
    position: relative;
    font-size: 12px;
    left: 15px;
    padding-bottom: 13px;
    color: #000000;
    font-weight: 500;
}

.trip_round {
    box-shadow: rgba(0, 0, 0, 0.05) 0px 0px 0px 1px, rgb(209, 213, 219) 0px 0px 0px 1px inset;
    border-radius: 8px;
    overflow: hidden;
    background-color: #fff;
}

.flighttrip_return {
    border-top: 1px solid #DBDEDF;
    margin-top: 5px;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
}

.card_break p {
    text-align: center;
    font-size: 10px;
    color: #000000;
    font-weight: 500;

}

.showcard_detail .flight-info {
    display: flex;
    align-items: center;
    gap: 2px;
    flex: 1;
    justify-content: space-between;
    width: 100%;
    border-radius: 8px;
    background-color: #fff;
    padding: 20px 10px;
    position: relative;
    padding-bottom: 45px;
}

.best-badge {
    display: none;
}

.showcard_detail {
    display: none;
}

.flight-results {
    display: flex;
    gap: 15px;
    align-items: stretch;
    POSITION: relative;
    margin-bottom: 15px;
}

.flight-card,
.showcard_detail {
    width: 100%;
    flex-shrink: 0;
}




.flight_choice input[type="radio"]::after {
    content: '';

    width: 12px;
    height: 12px;
    background-color: #ffffff;
    border-radius: 50%;
    /* border: 1px solid #112F4E; */
    box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0.3);
}


.flight_choice input[type="radio"] {
    appearance: none;
    -webkit-appearance: none;
    width: 20px;
    height: 20px;
    box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0.3);
    border-radius: 50%;
    cursor: pointer;
    position: relative;
    margin: 0;
    background: white;
    display: flex;
    align-items: center;
    justify-content: center;
}

.flight_choice input[type="radio"]:checked {
    border: 2px solid #112F4E;

}

.flight_choice input[type="radio"]:checked::after {
    content: '';

    width: 12px;
    height: 12px;
    background-color: #112F4E;
    border-radius: 50%;
}


@media (max-width: 500px) {


    .mobile-header-top {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 15px;
    }

    .back-btn,
    .share-btn {
        background: none;
        border: none;
        font-size: 18px;
        color: #333;
        padding: 5px;
    }











    .nav {
        display: none;
    }
}

@media (min-width: 501px) {
    .mobile-header {
        display: none;
    }
}

@media (max-width: 500px) {
    .mobile-route-section {
        display: flex;
        gap: 10px;
        margin: 15px 0;
        padding: 0 15px;
    }



    .route-text {
        font-size: 14px;
        font-weight: 500;
        color: #333;
    }

}

@media (min-width: 501px) {
    .mobile-route-section {
        display: none;
    }
}

@media (max-width: 500px) {}

@media (min-width: 501px) {
    .mobile-bottom-bar {
        display: none;
    }
}